<!DOCTYPE html>
<html>
  <head>
    <title>Learn Bootstrap by doing!</title>
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="css/styles.css" />
  </head>
  <body>
    <nav class="navbar bg-dark navbar-dark navbar-expand-sm">
      <div class="navbar-brand">Learn Bootstrap by doing!</div>

      <!-- Add the toggle icon button element below to see it on the right -->
      <button
        class="navbar-toggler"
        type="button"
        data-bs-toggle="collapse"
        data-bs-target="#collapsibleNavbar"
      >
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="collapsibleNavbar">
        <ul class="navbar-nav">
        <!-- drop down Implemented-->    
            <a class="nav-link" href="#">HTML</a>
        </li>
        <li class="nav-item dropdown">
        <a
            class="nav-link dropdown-toggle"
            href="#"
            id="navbarDropdown"
            role="button"
            data-bs-toggle="dropdown"
            aria-haspopup="true"
            aria-expanded="false"
        >
            CSS
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="#">Plain CSS</a>
            <a class="dropdown-item" href="#">Bootstrap</a>
        </div>
    
        </ul>
      </div>
    </nav>




    <!--mb-5 sets margin of size 5 on bottom-->
    
    <div class="container mb-5" id="html-container">
    <!-- my-5 sets margin of size 5 on top and bottom (i.e, along the y-axis)-->
      <h3 class="my-5" style="padding-top: 100px">HTML</h3>

      <!--
        BOOTSTAP CARD AND BUTTONS  
        card class is the root class for a card

      card-body wraps the body of the card. If header or footer is present they’d come outside the card-body <div>
      
      card-text applies styles to the text
      
      btn sets the hyperlink to look like a button and btn-primary sets the color. Feel free to use other colors like btn-success, btn-secondary.
    
    "col-2" means the element will take up the width of 2 columns out of the total 12. So, 6 similar elements in total can be grouped in a row. Find more here.-->

      

      <div class="row">
    
        <div class="mb-4 col-12 col-sm-6 col-lg-3 d-flex align-items-stretch">
    
          <div class="card">
            <img
            src="https://www.w3.org/html/logo/downloads/HTML5_Badge_512.png"
            class="card-img-top"
          />
            <div class="card-body">
    
              <p class="card-text">
    
                HTML defines the structure of the web page
               
    
              </p>
              
              <a href="https://www.crio.do" class="btn btn-primary">More</a>
    
            </div>
    
          </div>
    
        </div>
    
        <div class="mb-4 col-12 col-sm-6 col-lg-3 d-flex align-items-stretch">
    
          <div class="card">
    
            <div class="card-body">
    
              <p class="card-text">
    
                HTML defines the structure of the web page
    
              </p>
    
              <a href="https://www.crio.do" class="btn btn-primary">More</a>
    
            </div>
    
          </div>
    
        </div>

        <div class="col-12 col-sm-6 col-lg-3">
    
            <div class="card">
      
              <div class="card-body">
      
                <p class="card-text">
      
                  HTML defines the structure of the web page
      
                </p>
      
                <a href="https://www.crio.do" class="btn btn-primary">More</a>
      
              </div>
      
            </div>
      
          </div>

          <div class="col-12 col-sm-6 col-lg-3">
    
            <div class="card">
      
              <div class="card-body">
      
                <p class="card-text">
      
                  HTML defines the structure of the web page
      
                </p>
      
                <a href="https://www.crio.do" class="btn btn-primary">More</a>
      
              </div>
      
            </div>
           
      
          </div>

          <div class="col-12 col-sm-6 col-lg-3">
    
            <div class="card">
      
              <div class="card-body">
      
                <p class="card-text">
      
                  HTML defines the structure of the web page
      
                </p>
      
                <a href="https://www.crio.do" class="btn btn-primary">More</a>
      
              </div>
      
            </div>
      
          </div>
    
      </div>
    </div>

    <div id="css-container">
      <h3>CSS</h3>
      <div class="row">
      <div class="col-5">
    
        <div class="card">
  
          <div class="card-body" style="overflow-x: scroll; overflow-y: scroll; width: 500px; height: 500px; ">
  
           
  <!-- This image has in depth grid col note-->
            <img src="gridImg.png" alt="" >
  
          </div>
  
        </div>
  
      </div>
      </div>
    </div>

    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
